> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driv.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a MakeModel



## OpenAPI

````yaml Commerce get /makemodels/{make}/{model}
openapi: 3.1.0
info:
  title: Commerce
  version: '3.0'
  contact:
    email: samuel@driv.ly
    name: Samuel Lippert
    url: https://driv.ly/
  description: Drivly Commerce API
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /makemodels/{make}/{model}:
    parameters:
      - schema:
          type: string
        name: make
        in: path
        required: true
        description: MakeModel is uniquely identified by Make
      - schema:
          type: string
        name: model
        in: path
        required: true
        description: MakeModel is uniquely identified by Model
      - schema:
          type: integer
        name: depth
        in: query
        required: false
        description: The number of levels of related objects to include in the response
    get:
      summary: Retrieve a MakeModel
      operationId: get-makemodel
      responses:
        '200':
          description: MakeModel Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/MakeModel'
                  success:
                    type: boolean
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 401
                      message: Unauthorized
                    success: false
        '404':
          description: MakeModel Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 404
                      message: MakeModel Not Found
                    success: false
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 429
                      message: Too Many Requests
                    success: false
components:
  schemas:
    MakeModel:
      $id: MakeModel
      title: MakeModel
      type: object
      description: Make manufactured Model
      examples:
        - make: Toyota
          model: Camry
      properties:
        make:
          type: string
          description: MakeModel is uniquely identified by Make
        model:
          type: string
          description: MakeModel is uniquely identified by Model
      required:
        - make
        - model
    ErrorModel:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
            message:
              type: string
        success:
          type: boolean

````